Package com.norconex.commons.lang.img

# Enum Class MutableImage.Quality

java.lang.Object
java.lang.Enum<MutableImage.Quality>
com.norconex.commons.lang.img.MutableImage.Quality

All Implemented Interfaces:
  `Serializable`, `Comparable<MutableImage.Quality>`, `Constable`

Enclosing class:
  `MutableImage`

public static enum MutableImage.Quality extends Enum<MutableImage.Quality>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `HIGH`
  `LOW`
  `MAX`
  `MEDIUM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.imgscalr.Scalr.Method`
  `getScaleMethod()`
  `static MutableImage.Quality`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MutableImage.Quality[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final MutableImage.Quality AUTO

  - ### LOW

    public static final MutableImage.Quality LOW

  - ### MEDIUM

    public static final MutableImage.Quality MEDIUM

  - ### HIGH

    public static final MutableImage.Quality HIGH

  - ### MAX

    public static final MutableImage.Quality MAX

- ## Method Details

  - ### values

    public static MutableImage.Quality[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MutableImage.Quality valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getScaleMethod

    public org.imgscalr.Scalr.Method getScaleMethod()